Meltdown y Spectre: Las vulnerabilidades de los procesadores modernos

02/01/2018

Un artículo de The Register dio a conocer estas posibles vulnerabilidades, informando inicialmente de su afectación en plataformas Intel, pero posteriormente el grupo de expertos de Project Zero de Google, de las empresas Cyberus y Rambus, y de varias universidades que descubrieron estas vulnerabilidades, publicaron todos los detalles de las mismas, dando a conocer que sus descubrimientos también afectaban a procesadores AMD y ARM, además de Intel, fabricados durante la última década.

Las vulnerabilidades denominadas Meltdown (CVE-2017-5754) y Spectre (CVE-2017-5753 y CVE-2017-5715) aprovecharían un error en el diseño de todos los procesadores del mercado que hacen uso de las características conocidas como "ejecución especulativa", consistente en que el procesador ejecuta código y llega un punto en un algoritmo en el que las instrucciones se bifurcan en dos direcciones distintas dependiendo de los datos de entrada, esas instrucciones ahorran tiempo "especulando" con el camino por el que se seguirá ejecutando el proceso.

Desde las diferentes compañías tecnológicas, tanto a nivel de fabricación de procesadores como de desarrolladores de sistemas operativos, se está trabajando ya en las actualizaciones que den solución a estos problemas, aunque según algunos desarrolladores e informaciones, estos parches podrían ralentizar los sistemas operativos considerablemente.